This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 76152 - pax incorrectly restores cpio archives
pax incorrectly restores cpio archives
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: pax (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-17 12:50 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:27:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-17 12:50:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
If you create a cpio archive which has hard links in it, pax incorrectly 
restores the hard links. Instead of getting the contents of the file, the 
result is two links to an empty file.

It does appear to matter which format of cpio archive is used. This happens if -
H crc or -H newc is used. If -H odc is used, pax appears to work correctly.

Version-Release number of selected component (if applicable):
pax 1.5-4

How reproducible:
Always

Steps to Reproduce:
1. create a non-empty file
2. make a hardlink to it
3. create a cpio archive with the two hardlinks in it.
   for example: find . -print | cpio -o -H crc > outfile
4. use pax to load the archive
   pax -r -p e -v -f ./outfile
5. see that the two hardlinks are restored, but are zero length

Actual Results:  the two hardlinks are restored, but are zero length

Expected Results:  they should have had the original contents

Additional info:
Comment 1 Bill Nottingham 2006-08-07 13:24:05 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 10:27:38 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.